﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace proyectoPI.wsUser {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="wsUser.wsUserSoap")]
    public interface wsUserSoap {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje AutenticacionUsuarioRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsUser.AutenticacionUsuarioResponse AutenticacionUsuario(proyectoPI.wsUser.AutenticacionUsuarioRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsUser.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsUser.AutenticacionUsuarioRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje UpdateUserRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/UpdateUser", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsUser.UpdateUserResponse UpdateUser(proyectoPI.wsUser.UpdateUserRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/UpdateUser", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsUser.UpdateUserResponse> UpdateUserAsync(proyectoPI.wsUser.UpdateUserRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje InsertarUsuarioRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarUsuario", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsUser.InsertarUsuarioResponse InsertarUsuario(proyectoPI.wsUser.InsertarUsuarioRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarUsuario", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsUser.InsertarUsuarioResponse> InsertarUsuarioAsync(proyectoPI.wsUser.InsertarUsuarioRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje IsRegisterRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IsRegister", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsUser.IsRegisterResponse IsRegister(proyectoPI.wsUser.IsRegisterRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IsRegister", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsUser.IsRegisterResponse> IsRegisterAsync(proyectoPI.wsUser.IsRegisterRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje GetUserRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/GetUser", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsUser.GetUserResponse GetUser(proyectoPI.wsUser.GetUserRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/GetUser", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsUser.GetUserResponse> GetUserAsync(proyectoPI.wsUser.GetUserRequest request);
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Security : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string tokenField;
        
        private string autenticationTokenField;
        
        private System.Xml.XmlAttribute[] anyAttrField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Token {
            get {
                return this.tokenField;
            }
            set {
                this.tokenField = value;
                this.RaisePropertyChanged("Token");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string AutenticationToken {
            get {
                return this.autenticationTokenField;
            }
            set {
                this.autenticationTokenField = value;
                this.RaisePropertyChanged("AutenticationToken");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlAnyAttributeAttribute()]
        public System.Xml.XmlAttribute[] AnyAttr {
            get {
                return this.anyAttrField;
            }
            set {
                this.anyAttrField = value;
                this.RaisePropertyChanged("AnyAttr");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Rol : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int rolIdField;
        
        private string descripcionField;
        
        private User[] userField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=2)]
        public User[] User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class User : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long userIdField;
        
        private string nombresField;
        
        private string apellidosField;
        
        private string emailField;
        
        private string passwordField;
        
        private System.Nullable<int> rolIdField;
        
        private System.Nullable<int> statusField;
        
        private Rol rolField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Nombres {
            get {
                return this.nombresField;
            }
            set {
                this.nombresField = value;
                this.RaisePropertyChanged("Nombres");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Apellidos {
            get {
                return this.apellidosField;
            }
            set {
                this.apellidosField = value;
                this.RaisePropertyChanged("Apellidos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
                this.RaisePropertyChanged("Email");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("Password");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<int> Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public Rol Rol {
            get {
                return this.rolField;
            }
            set {
                this.rolField = value;
                this.RaisePropertyChanged("Rol");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuario", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsUser.Security Security;
        
        public AutenticacionUsuarioRequest() {
        }
        
        public AutenticacionUsuarioRequest(proyectoPI.wsUser.Security Security) {
            this.Security = Security;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuarioResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string AutenticacionUsuarioResult;
        
        public AutenticacionUsuarioResponse() {
        }
        
        public AutenticacionUsuarioResponse(string AutenticacionUsuarioResult) {
            this.AutenticacionUsuarioResult = AutenticacionUsuarioResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="UpdateUser", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class UpdateUserRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsUser.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsUser.User user;
        
        public UpdateUserRequest() {
        }
        
        public UpdateUserRequest(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            this.Security = Security;
            this.user = user;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="UpdateUserResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class UpdateUserResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string UpdateUserResult;
        
        public UpdateUserResponse() {
        }
        
        public UpdateUserResponse(string UpdateUserResult) {
            this.UpdateUserResult = UpdateUserResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarUsuario", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarUsuarioRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsUser.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsUser.User user;
        
        public InsertarUsuarioRequest() {
        }
        
        public InsertarUsuarioRequest(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            this.Security = Security;
            this.user = user;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarUsuarioResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarUsuarioResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string InsertarUsuarioResult;
        
        public InsertarUsuarioResponse() {
        }
        
        public InsertarUsuarioResponse(string InsertarUsuarioResult) {
            this.InsertarUsuarioResult = InsertarUsuarioResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="IsRegister", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class IsRegisterRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsUser.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string Email;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string password;
        
        public IsRegisterRequest() {
        }
        
        public IsRegisterRequest(proyectoPI.wsUser.Security Security, string Email, string password) {
            this.Security = Security;
            this.Email = Email;
            this.password = password;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="IsRegisterResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class IsRegisterResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public bool IsRegisterResult;
        
        public IsRegisterResponse() {
        }
        
        public IsRegisterResponse(bool IsRegisterResult) {
            this.IsRegisterResult = IsRegisterResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetUser", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class GetUserRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsUser.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string email;
        
        public GetUserRequest() {
        }
        
        public GetUserRequest(proyectoPI.wsUser.Security Security, string email) {
            this.Security = Security;
            this.email = email;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetUserResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class GetUserResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsUser.User GetUserResult;
        
        public GetUserResponse() {
        }
        
        public GetUserResponse(proyectoPI.wsUser.User GetUserResult) {
            this.GetUserResult = GetUserResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface wsUserSoapChannel : proyectoPI.wsUser.wsUserSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class wsUserSoapClient : System.ServiceModel.ClientBase<proyectoPI.wsUser.wsUserSoap>, proyectoPI.wsUser.wsUserSoap {
        
        public wsUserSoapClient() {
        }
        
        public wsUserSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public wsUserSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsUserSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsUserSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsUser.AutenticacionUsuarioResponse proyectoPI.wsUser.wsUserSoap.AutenticacionUsuario(proyectoPI.wsUser.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuario(request);
        }
        
        public string AutenticacionUsuario(proyectoPI.wsUser.Security Security) {
            proyectoPI.wsUser.AutenticacionUsuarioRequest inValue = new proyectoPI.wsUser.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            proyectoPI.wsUser.AutenticacionUsuarioResponse retVal = ((proyectoPI.wsUser.wsUserSoap)(this)).AutenticacionUsuario(inValue);
            return retVal.AutenticacionUsuarioResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsUser.AutenticacionUsuarioResponse> proyectoPI.wsUser.wsUserSoap.AutenticacionUsuarioAsync(proyectoPI.wsUser.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuarioAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsUser.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsUser.Security Security) {
            proyectoPI.wsUser.AutenticacionUsuarioRequest inValue = new proyectoPI.wsUser.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            return ((proyectoPI.wsUser.wsUserSoap)(this)).AutenticacionUsuarioAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsUser.UpdateUserResponse proyectoPI.wsUser.wsUserSoap.UpdateUser(proyectoPI.wsUser.UpdateUserRequest request) {
            return base.Channel.UpdateUser(request);
        }
        
        public string UpdateUser(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            proyectoPI.wsUser.UpdateUserRequest inValue = new proyectoPI.wsUser.UpdateUserRequest();
            inValue.Security = Security;
            inValue.user = user;
            proyectoPI.wsUser.UpdateUserResponse retVal = ((proyectoPI.wsUser.wsUserSoap)(this)).UpdateUser(inValue);
            return retVal.UpdateUserResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsUser.UpdateUserResponse> proyectoPI.wsUser.wsUserSoap.UpdateUserAsync(proyectoPI.wsUser.UpdateUserRequest request) {
            return base.Channel.UpdateUserAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsUser.UpdateUserResponse> UpdateUserAsync(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            proyectoPI.wsUser.UpdateUserRequest inValue = new proyectoPI.wsUser.UpdateUserRequest();
            inValue.Security = Security;
            inValue.user = user;
            return ((proyectoPI.wsUser.wsUserSoap)(this)).UpdateUserAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsUser.InsertarUsuarioResponse proyectoPI.wsUser.wsUserSoap.InsertarUsuario(proyectoPI.wsUser.InsertarUsuarioRequest request) {
            return base.Channel.InsertarUsuario(request);
        }
        
        public string InsertarUsuario(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            proyectoPI.wsUser.InsertarUsuarioRequest inValue = new proyectoPI.wsUser.InsertarUsuarioRequest();
            inValue.Security = Security;
            inValue.user = user;
            proyectoPI.wsUser.InsertarUsuarioResponse retVal = ((proyectoPI.wsUser.wsUserSoap)(this)).InsertarUsuario(inValue);
            return retVal.InsertarUsuarioResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsUser.InsertarUsuarioResponse> proyectoPI.wsUser.wsUserSoap.InsertarUsuarioAsync(proyectoPI.wsUser.InsertarUsuarioRequest request) {
            return base.Channel.InsertarUsuarioAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsUser.InsertarUsuarioResponse> InsertarUsuarioAsync(proyectoPI.wsUser.Security Security, proyectoPI.wsUser.User user) {
            proyectoPI.wsUser.InsertarUsuarioRequest inValue = new proyectoPI.wsUser.InsertarUsuarioRequest();
            inValue.Security = Security;
            inValue.user = user;
            return ((proyectoPI.wsUser.wsUserSoap)(this)).InsertarUsuarioAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsUser.IsRegisterResponse proyectoPI.wsUser.wsUserSoap.IsRegister(proyectoPI.wsUser.IsRegisterRequest request) {
            return base.Channel.IsRegister(request);
        }
        
        public bool IsRegister(proyectoPI.wsUser.Security Security, string Email, string password) {
            proyectoPI.wsUser.IsRegisterRequest inValue = new proyectoPI.wsUser.IsRegisterRequest();
            inValue.Security = Security;
            inValue.Email = Email;
            inValue.password = password;
            proyectoPI.wsUser.IsRegisterResponse retVal = ((proyectoPI.wsUser.wsUserSoap)(this)).IsRegister(inValue);
            return retVal.IsRegisterResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsUser.IsRegisterResponse> proyectoPI.wsUser.wsUserSoap.IsRegisterAsync(proyectoPI.wsUser.IsRegisterRequest request) {
            return base.Channel.IsRegisterAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsUser.IsRegisterResponse> IsRegisterAsync(proyectoPI.wsUser.Security Security, string Email, string password) {
            proyectoPI.wsUser.IsRegisterRequest inValue = new proyectoPI.wsUser.IsRegisterRequest();
            inValue.Security = Security;
            inValue.Email = Email;
            inValue.password = password;
            return ((proyectoPI.wsUser.wsUserSoap)(this)).IsRegisterAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsUser.GetUserResponse proyectoPI.wsUser.wsUserSoap.GetUser(proyectoPI.wsUser.GetUserRequest request) {
            return base.Channel.GetUser(request);
        }
        
        public proyectoPI.wsUser.User GetUser(proyectoPI.wsUser.Security Security, string email) {
            proyectoPI.wsUser.GetUserRequest inValue = new proyectoPI.wsUser.GetUserRequest();
            inValue.Security = Security;
            inValue.email = email;
            proyectoPI.wsUser.GetUserResponse retVal = ((proyectoPI.wsUser.wsUserSoap)(this)).GetUser(inValue);
            return retVal.GetUserResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsUser.GetUserResponse> proyectoPI.wsUser.wsUserSoap.GetUserAsync(proyectoPI.wsUser.GetUserRequest request) {
            return base.Channel.GetUserAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsUser.GetUserResponse> GetUserAsync(proyectoPI.wsUser.Security Security, string email) {
            proyectoPI.wsUser.GetUserRequest inValue = new proyectoPI.wsUser.GetUserRequest();
            inValue.Security = Security;
            inValue.email = email;
            return ((proyectoPI.wsUser.wsUserSoap)(this)).GetUserAsync(inValue);
        }
    }
}
